| Home | Libraries | People | FAQ | More

##### assign_values (4 coordinate values)

Assign four values to a geometry (usually a box or segment)

###### Synopsis

    template<typename Geometry, typename Type>
    void assign_values(Geometry & geometry, Type const & c1, Type const & c2,
                       Type const & c3, Type const & c4)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Geometry & | Any type fulfilling a Geometry Concept | geometry | A model of the specified concept
Type const & | numerical type (int, double, ttmath, ...) to specify the coordinates | c1 | First coordinate (usually x1)
Type const & | numerical type (int, double, ttmath, ...) to specify the coordinates | c2 | Second coordinate (usually y1)
Type const & | numerical type (int, double, ttmath, ...) to specify the coordinates | c3 | Third coordinate (usually x2)
Type const & | numerical type (int, double, ttmath, ...) to specify the coordinates | c4 | Fourth coordinate (usually y2)

###### Header

Either

`#include <boost/geometry.hpp>`

Or

`#include <boost/geometry/algorithms/assign.hpp>`